slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetOperators

Sets the matrices associated with the eigenvalue problem.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetOperators(EPS eps,Mat A,Mat B)

Collective

### Input Parameters

| eps | - the eigenproblem solver context
| A | - the matrix associated with the eigensystem
| B | - the second matrix in the case of generalized eigenproblems

### Notes

To specify a standard eigenproblem, use NULL for parameter B.

It must be called before EPSSetUp(). If it is called again after EPSSetUp() and the matrix sizes have changed then the EPS object is reset.

### See Also

EPSSolve(), EPSSetUp(), EPSReset(), EPSGetST(), STGetMatrix()

### Level

beginner

### Location

src/eps/interface/epssetup.c

### Examples

src/eps/tutorials/ex1.c
src/eps/tutorials/ex1f.F90
src/eps/tutorials/ex2.c
src/eps/tutorials/ex3.c
src/eps/tutorials/ex4.c
src/eps/tutorials/ex5.c
src/eps/tutorials/ex6f.F90
src/eps/tutorials/ex7.c
src/eps/tutorials/ex9.c
src/eps/tutorials/ex10.c
src/eps/tutorials/ex10f.F90
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages